---
lang: en
title: 'API docs: extension-logging'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/logging
permalink: /doc/en/lb4/apidocs.extension-logging.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/extension-logging](./extension-logging.md)

## extension-logging package

[@loopback/extension-logging](https://github.com/strongloop/loopback-next/tree/master/extensions/logging)

## Classes

|  Class | Description |
|  --- | --- |
|  [LoggingComponent](./extension-logging.loggingcomponent.md) | A component providing logging facilities |
|  [WinstonLoggerProvider](./extension-logging.winstonloggerprovider.md) | A provider class that creates WinstonLogger instances |

## Functions

|  Function | Description |
|  --- | --- |
|  [logInvocation()](./extension-logging.loginvocation.md) |  decorator for method invocations. |

## Namespaces

|  Namespace | Description |
|  --- | --- |
|  [LoggingBindings](./extension-logging.loggingbindings.md) | Binding keys used by this component. |

## Variables

|  Variable | Description |
|  --- | --- |
|  [WINSTON\_FORMAT](./extension-logging.winston_format.md) | An extension point for winston formats |
|  [WINSTON\_TRANSPORT](./extension-logging.winston_transport.md) | An extension point for winston transports |

## Type Aliases

|  Type Alias | Description |
|  --- | --- |
|  [LoggingComponentConfig](./extension-logging.loggingcomponentconfig.md) | Configuration for LoggingComponent |


